Subject: Re: bug#27605: Lightweight desktop example fails to build with kernel panic

From: Leo Famulari <[email-masked]>
Date: Fri, 7 Jul 2017 09:21:51 -0400

On Fri, Jul 07, 2017 at 08:53:37AM -0400, Leo Famulari wrote:
> On Fri, Jul 07, 2017 at 02:23:05PM +0200, Ludovic Courtès wrote:
> > Did you pass --image-size?  If not, it could be that the image size
> > estimate is slightly too small (see commit
> > a8ac4f081a9a679498ea42ccfe001f218bba3043).
> > 
> > The build log should contain something like:
> > 
> >   creating ~a image of ~,2f MiB...
> > 
> > where ~a is “raw” or “qcow2” depending on the “guix system” command you
> > used.
> > 
> > Could you check what happens if you pass a --image-size argument bigger
> > than that?
> 
> I doubled it from ~10 GiB to ~20 GiB:
> 
> > creating qcow2 image of 19359.59 MiB...
> 
> This example template uses EFI, which I'm not that familiar with. But I
> suspect something about the bootloader or filesystems configuration is
> wrong.

Actually, false alarm! After increasing the image size to 20 GiB, I
missed the messages about being out of space. Sorry for the noise!